/**
 * @file service_client.h
 *
 * @brief Service - Client (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: service_client.h 2685 2008-06-25 16:38:56Z wittenbu $
 */

#ifndef SERVICE_CLIENT_H
#define SERVICE_CLIENT_H

#include "../types.h"
#include "service_types.h"

void handle_SERVICE_SERVER_DATA_ITEM(const packet_header_t* header, const SERVICE_SERVER_DATA_ITEM_packet_t* data_item, const char* data, size_t data_size);
void handle_SERVICE_SERVER_STREAM_ITEM(const packet_header_t* header, const SERVICE_SERVER_STREAM_ITEM_packet_t* stream_item, const char* data, size_t data_size);
void handle_SERVICE_SERVER_NOT_AVAILABLE(const packet_header_t* header, const SERVICE_SERVER_NOT_AVAILABLE_packet_t* not_available);
void request_data(const SERVICE_id_t* service_id, uint16_t offset, size_t size);
void update_data(const SERVICE_id_t* service_id, uint16_t offset, size_t size, const char* data);
void request_stream(const SERVICE_id_t* service_id, uint16_t offset, size_t size, C_time_t interval, C_time_t duration);

#endif	// SERVICE_CLIENT_H
